Subject: Re[2]: setup.exe and mirror list question
From: Pavel Tsekov <[email-masked]>
To: "Scott Prive" <[email-masked]>
Cc: [email-masked]
Date: Fri, 5 Apr 2002 10:10:47 +0200

Hello Scott,

Thursday, April 04, 2002, 6:18:45 PM, you wrote:

SP> Thanks Paul... that's exactly what I needed to know.

SP> A follow-up question, if I may:
SP> Does Cygwin or Linux have such a resource editing tool?

Nope - it doesn't have a tool to edit the ready to use compiled
resource script. Still as I mentioned in my previous mail you can get
the source code for setup.exe and edit the resource script (a text
file) manually than recompile. This soulution seems more scriptable to
me.

SP> I imagine there is one, and I would need to learn it, but I don't know what it would be called. A shell tool would empower me to automate the resource editing after each new setup.exe is
SP> downloaded (yipee!).

SP> Thanks,

SP> Scott

SP> -----Original Message-----
SP> From: Pavel Tsekov [mailto:[email-masked]]
SP> Sent: Wednesday, April 03, 2002 2:36 AM
SP> To: Scott Prive
SP> Cc: Cygwin
SP> Subject: Re: setup.exe and mirror list question

SP> Hello Scott,

SP> Tuesday, April 02, 2002, 6:44:47 PM, you wrote:

SP>> Robert (or anyone),
SP>> Regarding the setup.exe "Choose a Download Site" page:

SP>> What I am doing right now is running an internal Cygwin mirror, updated every 24h via rsync. When a user runs setup.exe from my mirror, I'd like my internal mirror to be the ONLY available mirror
SP>> displayed in the install screen.

SP>> I checked the FAQ & discussion lists and could not see how this would be done. Is this possible?

SP> The setup program fetches the mirror list from a hardcoded URL which
SP> is found in the resource section of the executable. So you can use a
SP> resource editor to change this URL to something apropriate for you...
SP> Another way to achieve this is to get the setup.exe sources and change
SP> the URL in the resource (.rc) script file and compile your own
SP> version. Still I think both choices will make your version of
SP> setup.exe unsupported by this list ... or maybe I'm wrong :))

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/